Index: /inundation/ga/storm_surge/pyvolution/test_advection.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_advection.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_advection.py	(revision 1018)
@@ -8,9 +8,9 @@
 from advection import *
 
-        
-class TestCase(unittest.TestCase):
+
+class Test_Advection(unittest.TestCase):
     def setUp(self):
         pass
-        
+
     def tearDown(self):
         pass
@@ -25,10 +25,10 @@
 
         points = [a, b, c, d, e, f]
-        #bac, bce, ecf, dbe, daf, dae 
+        #bac, bce, ecf, dbe, daf, dae
         vertices = [ [1,0,2], [1,2,4], [4,2,5], [3,1,4], [3,0,5], [3,0,4]]
-        
-        domain = Domain(points, vertices)        
+
+        domain = Domain(points, vertices)
         domain.check_integrity()
-        
+
         assert domain.quantities.has_key('stage')
 
@@ -38,15 +38,15 @@
     def test_flux_1_triangle0(self):
         a = [0.0, 0.5]
-        b = [0.0, 0.0]                
+        b = [0.0, 0.0]
         c = [0.5, 0.5]
 
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)        
+        domain = Domain(points, vertices)
         domain.check_integrity()
 
 
         #Populate boundary array with dirichlet conditions.
- 	domain.neighbours = array([[-1,-2,-3]])	        
+ 	domain.neighbours = array([[-1,-2,-3]])
         domain.quantities['stage'].boundary_values[:] = 1.0
 
@@ -54,5 +54,5 @@
 
 	domain.distribute_to_vertices_and_edges() #Use first order default
-        
+
         domain.check_integrity()
 
@@ -61,16 +61,16 @@
         R = -0.5/domain.areas[0]
 
-        assert U==R, '%s %s' %(U, R) 
+        assert U==R, '%s %s' %(U, R)
 
 
     def test_flux_1_triangle1(self):
- 
+
         a = [0.0, 0.5]
-        b = [0.0, 0.0]                
+        b = [0.0, 0.0]
         c = [0.5, 0.5]
 
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)        
+        domain = Domain(points, vertices)
         domain.check_integrity()
 
@@ -79,32 +79,32 @@
 	domain.distribute_to_vertices_and_edges()
         domain.check_integrity()
-        
-        
+
+
 	domain.compute_fluxes()
         U = -domain.quantities['stage'].explicit_update
         R = 0.5/domain.areas[0]
 
-        assert U==R, '%s %s' %(U, R) 
+        assert U==R, '%s %s' %(U, R)
 
 
 
     def test_flux_1_triangle2(self):
-        
+
         a = [0.0, 0.5]
-        b = [0.0, 0.0]                
+        b = [0.0, 0.0]
         c = [0.5, 0.5]
 
         points = [a, b, c]
         vertices = [ [0,1,2] ]
-        domain = Domain(points, vertices)        
+        domain = Domain(points, vertices)
         domain.check_integrity()
 
-		
+
         #Populate boundary array with dirichlet conditions.
- 	domain.neighbours = array([[-1,-2,-3]])	                
+ 	domain.neighbours = array([[-1,-2,-3]])
         domain.quantities['stage'].boundary_values[0] = 1.0
-        
+
 	domain.distribute_to_vertices_and_edges() #Use first order default
-        
+
         domain.check_integrity()
 
@@ -113,5 +113,5 @@
         assert allclose(U, 0)
 
-        
+
 
 
@@ -122,11 +122,11 @@
 
         a = [0.0, 0.5]
-        b = [0.0, 0.0]                
+        b = [0.0, 0.0]
         c = [0.5, 0.5]
-        d = [0.5, 0.0]        
+        d = [0.5, 0.0]
 
         points = [a, b, c, d]
         vertices = [ [0,1,2], [3,2,1] ]
-        domain = Domain(points, vertices)        
+        domain = Domain(points, vertices)
         domain.check_integrity()
 
@@ -137,26 +137,26 @@
 	domain.distribute_to_vertices_and_edges()
 
-	domain.compute_fluxes()	        
+	domain.compute_fluxes()
 
         X = domain.quantities['stage'].explicit_update
         assert X[0] == -X[1]
-			
+
 
     def test_advection_example(self):
         #Test that system can evolve
-        
+
         from mesh_factory import rectangular
 
         points, vertices, boundary = rectangular(6, 6)
 
-        #Create advection domain with direction (1,-1)        
+        #Create advection domain with direction (1,-1)
         domain = Domain(points, vertices, boundary, velocity=[1.0, -1.0])
 
         # Initial condition is zero by default
-        
+
         #Boundaries
         T = Transmissive_boundary(domain)
         D = Dirichlet_boundary(array([3.1415]))
-        
+
         domain.set_boundary( {'left': D, 'right': T, 'bottom': T, 'top': T} )
         domain.check_integrity()
@@ -166,11 +166,11 @@
             if allclose(domain.quantities['stage'].centroid_values, 3.1415):
                 break
-            
+
         assert allclose(domain.quantities['stage'].centroid_values, 3.1415)
 
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(TestCase,'test')
+    suite = unittest.makeSuite(Test_Advection,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
Index: /inundation/ga/storm_surge/pyvolution/test_all.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_all.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_all.py	(revision 1018)
@@ -23,5 +23,5 @@
 
     import sys
-    
+
     files = os.listdir(path)
 
@@ -38,10 +38,10 @@
         else:
             pass
-    return test_files    
+    return test_files
 
 
 
 def regressionTest():
-    import sys, os, re, unittest    
+    import sys, os, re, unittest
     path = os.path.split(sys.argv[0])[0] or os.getcwd()
 
@@ -53,17 +53,17 @@
     #test = re.compile('^test_[\w]*.py$', re.IGNORECASE)
     #files = filter(test.search, files)
-    
+
 
     try:
         files.remove(__file__)  #Remove self from list (Ver 2.3. or later)
     except:
-        files.remove('test_all.py') 
+        files.remove('test_all.py')
 
 
-    if globals().has_key('exclude'):    
+    if globals().has_key('exclude'):
         for file in exclude:
             files.remove(file)
             print 'WARNING: File '+ file + ' excluded from testing'
-        
+
 
     filenameToModuleName = lambda f: os.path.splitext(f)[0]
@@ -76,5 +76,5 @@
 
     os.system('python compile.py') #Attempt to compile all extensions
-    
+
+    #print regressionTest()
     unittest.main(defaultTest='regressionTest')
-    
Index: /inundation/ga/storm_surge/pyvolution/test_cg_solve.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_cg_solve.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_cg_solve.py	(revision 1018)
@@ -9,14 +9,14 @@
 
 
-class TestCase(unittest.TestCase):
+class Test_CG_Solve(unittest.TestCase):
 
     def test_sparse_solve(self):
         """Small Sparse Matrix"""
-        
+
         A = [[2.0, -1.0, 0.0, 0.0 ],
              [-1.0, 2.0, -1.0, 0.0],
              [0.0, -1.0, 2.0, -1.0],
              [0.0,0.0, -1.0, 2.0]]
-        
+
         A = Sparse(A)
 
@@ -35,5 +35,5 @@
         n = 50
         A = Sparse(n,n)
-        
+
         for i in arange(0,n):
             A[i,i] = 1.0
@@ -42,5 +42,5 @@
             if i < n-1 :
                 A[i,i+1] = -0.5
-                
+
         xe = ones( (n,), Float)
 
@@ -52,5 +52,5 @@
     def test_solve_large_2d(self):
         """Standard 2d laplacian"""
-        
+
         n = 20
         m = 10
@@ -70,5 +70,5 @@
                 if j < m-1 :
                     A[I,I+1] = -1.0
-                
+
         xe = ones( (n*m,), Float)
 
@@ -81,5 +81,5 @@
         """Standard 2d laplacian with csr format
         """
-        
+
         n = 100
         m = 100
@@ -99,5 +99,5 @@
                 if j < m-1 :
                     A[I,I+1] = -1.0
-                
+
         xe = ones( (n*m,), Float)
 
@@ -114,5 +114,5 @@
     def test_solve_large_2d_with_default_guess(self):
         """Standard 2d laplacian using default first guess"""
-        
+
         n = 20
         m = 10
@@ -132,5 +132,5 @@
                 if j < m-1 :
                     A[I,I+1] = -1.0
-                
+
         xe = ones( (n*m,), Float)
 
@@ -143,10 +143,10 @@
     def test_vector_shape_error(self):
         """Raise VectorShapeError"""
-        
+
         A = [[2.0, -1.0, 0.0, 0.0 ],
              [-1.0, 2.0, -1.0, 0.0],
              [0.0, -1.0, 2.0, -1.0],
              [0.0,0.0, -1.0, 2.0]]
-        
+
         A = Sparse(A)
 
@@ -161,13 +161,11 @@
             raise msg
 
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-     suite = unittest.makeSuite(TestCase,'test')
+     suite = unittest.makeSuite(Test_CG_Solve,'test')
      runner = unittest.TextTestRunner() #(verbosity=2)
      runner.run(suite)
 
-    
-    
 
 
Index: /inundation/ga/storm_surge/pyvolution/test_data_manager.py
===================================================================
--- /inundation/ga/storm_surge/pyvolution/test_data_manager.py	(revision 1017)
+++ /inundation/ga/storm_surge/pyvolution/test_data_manager.py	(revision 1018)
@@ -11,5 +11,5 @@
 from config import epsilon
 
-class dataTestCase(unittest.TestCase):
+class Test_Data_Manager(unittest.TestCase):
     def setUp(self):
         import time
@@ -24,17 +24,17 @@
         domain.default_order=2
 
-        
+
         #Set some field values
-        domain.set_quantity('elevation', lambda x,y: -x)        
+        domain.set_quantity('elevation', lambda x,y: -x)
         domain.set_quantity('friction', 0.03)
 
 
-        ###################### 
+        ######################
         # Boundary conditions
         B = Transmissive_boundary(domain)
         domain.set_boundary( {'left': B, 'right': B, 'top': B, 'bottom': B})
-        
-
-        ###################### 
+
+
+        ######################
         #Initial condition - with jumps
 
@@ -45,13 +45,13 @@
         h = 0.3
         for i in range(stage.shape[0]):
-            if i % 2 == 0:            
+            if i % 2 == 0:
                 stage[i,:] = bed[i,:] + h
             else:
                 stage[i,:] = bed[i,:]
-                
+
         domain.set_quantity('stage', stage)
         self.initial_stage = copy.copy(domain.quantities['stage'].vertex_values)
 
-        domain.distribute_to_vertices_and_edges()    
+        domain.distribute_to_vertices_and_edges()
 
 
@@ -61,13 +61,13 @@
         self.X = C[:,0:6:2].copy()
         self.Y = C[:,1:6:2].copy()
-        
+
         self.F = bed
 
-        
+
     def tearDown(self):
         pass
 
 
-        
+
 
 #     def test_xya(self):
@@ -79,9 +79,9 @@
 
 #         domain = self.domain
-        
+
 #         domain.filename = 'datatest' + str(time.time())
 #         domain.format = 'xya'
 #         domain.smooth = True
-        
+
 #         xya = get_dataobject(self.domain)
 #         xya.store_all()
@@ -99,6 +99,6 @@
 #         if domain.smooth:
 #             self.failUnless(lFile[0] == '9 3 # <vertex #> <x> <y> [attributes]')
-#         else:    
-#             self.failUnless(lFile[0] == '24 3 # <vertex #> <x> <y> [attributes]')            
+#         else:
+#             self.failUnless(lFile[0] == '24 3 # <vertex #> <x> <y> [attributes]')
 
 #         #Get smoothed field values with X and Y
@@ -108,8 +108,8 @@
 
 #         Q,V = domain.get_vertex_values(xy=False, value_array='conserved_quantities',
-#                                            indices = (0,), precision = Float)        
-
-
-        
+#                                            indices = (0,), precision = Float)
+
+
+
 #         for i, line in enumerate(lFile[1:]):
 #             fields = line.split()
@@ -121,5 +121,5 @@
 #             assert allclose(float(fields[2]), F[i,0])
 #             assert allclose(float(fields[3]), Q[i,0])
-#             assert allclose(float(fields[4]), F[i,1])            
+#             assert allclose(float(fields[4]), F[i,1])
 
 
@@ -133,10 +133,10 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
+        from Scientific.IO.NetCDF import NetCDFFile
 
         self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = False
-      
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
@@ -145,5 +145,5 @@
         #Get NetCDF
         fid = NetCDFFile(sww.filename, 'r')  #Open existing file for append
-      
+
         # Get the variables
         x = fid.variables['x']
@@ -151,5 +151,5 @@
         z = fid.variables['elevation']
 
-        volumes = fid.variables['volumes']        
+        volumes = fid.variables['volumes']
 
 
@@ -164,9 +164,9 @@
             assert V[k, 0] == 3*k
             assert V[k, 1] == 3*k+1
-            assert V[k, 2] == 3*k+2            
-      
-      
-        fid.close()
-      
+            assert V[k, 2] == 3*k+2
+
+
+        fid.close()
+
         #Cleanup
         os.remove(sww.filename)
@@ -180,17 +180,17 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
-
-        self.domain.filename = 'datatest' + str(id(self))        
+        from Scientific.IO.NetCDF import NetCDFFile
+
+        self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = True
-      
+
         sww = get_dataobject(self.domain)
-        sww.store_connectivity()	
+        sww.store_connectivity()
 
         #Check contents
         #Get NetCDF
         fid = NetCDFFile(sww.filename, 'r')  #Open existing file for append
-      
+
         # Get the variables
         x = fid.variables['x']
@@ -198,9 +198,9 @@
         z = fid.variables['elevation']
 
-        volumes = fid.variables['volumes']        
+        volumes = fid.variables['volumes']
 
         X = x[:]
         Y = y[:]
-      
+
         assert allclose([X[0], Y[0]], array([0.0, 0.0]))
         assert allclose([X[1], Y[1]], array([0.0, 0.5]))
@@ -209,5 +209,5 @@
         assert allclose([X[4], Y[4]], array([0.5, 0.5]))
 
-        assert allclose([X[7], Y[7]], array([1.0, 0.5]))        
+        assert allclose([X[7], Y[7]], array([1.0, 0.5]))
 
         Z = z[:]
@@ -221,9 +221,9 @@
         assert V[4,0] == 6
         assert V[4,1] == 7
-        assert V[4,2] == 3                      
-      
-
-        fid.close()
-      
+        assert V[4,2] == 3
+
+
+        fid.close()
+
         #Cleanup
         os.remove(sww.filename)
@@ -237,11 +237,11 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
+        from Scientific.IO.NetCDF import NetCDFFile
 
         self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = mean             
-      
+        self.domain.reduction = mean
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
@@ -251,63 +251,5 @@
         #Get NetCDF
         fid = NetCDFFile(sww.filename, 'r')  #Open existing file for append
-      
-
-        # Get the variables
-        x = fid.variables['x']
-        y = fid.variables['y']
-        z = fid.variables['elevation']        
-        time = fid.variables['time']
-        stage = fid.variables['stage']
-      
-
-	Q = self.domain.quantities['stage']	
-        Q0 = Q.vertex_values[:,0]
-        Q1 = Q.vertex_values[:,1]
-        Q2 = Q.vertex_values[:,2]
-
-        A = stage[0,:]
-        #print A[0], (Q2[0,0] + Q1[1,0])/2
-        assert allclose(A[0], (Q2[0] + Q1[1])/2)  
-        assert allclose(A[1], (Q0[1] + Q1[3] + Q2[2])/3)
-        assert allclose(A[2], Q0[3])
-        assert allclose(A[3], (Q0[0] + Q1[5] + Q2[4])/3)
-
-        #Center point
-        assert allclose(A[4], (Q1[0] + Q2[1] + Q0[2] +\
-                                 Q0[5] + Q2[6] + Q1[7])/6)
-                               
-      
-      
-        fid.close()
-      
-        #Cleanup
-        os.remove(sww.filename)
-        
-        
-    def test_sww_variable2(self):
-        """Test that sww information can be written correctly
-        multiple timesteps. Use average as reduction operator
-        """
-
-        import time, os
-        from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile
-
-        self.domain.filename = 'datatest' + str(id(self))        
-        self.domain.format = 'sww'
-        self.domain.smooth = True
-
-        self.domain.reduction = mean     
-      
-        sww = get_dataobject(self.domain)
-        sww.store_connectivity()
-        sww.store_timestep('stage')      
-        self.domain.evolve_to_end(finaltime = 0.01)
-        sww.store_timestep('stage')
-
-
-        #Check contents
-        #Get NetCDF
-        fid = NetCDFFile(sww.filename, 'r')  #Open existing file for append
+
 
         # Get the variables
@@ -316,14 +258,15 @@
         z = fid.variables['elevation']
         time = fid.variables['time']
-        stage = fid.variables['stage']        
-
-        #Check values
-	Q = self.domain.quantities['stage']	
+        stage = fid.variables['stage']
+
+
+	Q = self.domain.quantities['stage']
         Q0 = Q.vertex_values[:,0]
         Q1 = Q.vertex_values[:,1]
         Q2 = Q.vertex_values[:,2]
 
-        A = stage[1,:]
-        assert allclose(A[0], (Q2[0] + Q1[1])/2)  
+        A = stage[0,:]
+        #print A[0], (Q2[0,0] + Q1[1,0])/2
+        assert allclose(A[0], (Q2[0] + Q1[1])/2)
         assert allclose(A[1], (Q0[1] + Q1[3] + Q2[2])/3)
         assert allclose(A[2], Q0[3])
@@ -333,17 +276,16 @@
         assert allclose(A[4], (Q1[0] + Q2[1] + Q0[2] +\
                                  Q0[5] + Q2[6] + Q1[7])/6)
-                               
-      
-      
-          
-      
-        fid.close()
-      
+
+
+
+        fid.close()
+
         #Cleanup
         os.remove(sww.filename)
-        
-    def test_sww_variable3(self):
+
+
+    def test_sww_variable2(self):
         """Test that sww information can be written correctly
-        multiple timesteps using a different reduction operator (min)
+        multiple timesteps. Use average as reduction operator
         """
 
@@ -352,22 +294,20 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        self.domain.filename = 'datatest' + str(id(self))        
+        self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = min
-      
+
+        self.domain.reduction = mean
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
         sww.store_timestep('stage')
-      
         self.domain.evolve_to_end(finaltime = 0.01)
         sww.store_timestep('stage')
 
 
-
         #Check contents
         #Get NetCDF
-        fid = NetCDFFile(sww.filename, 'r')
-      
+        fid = NetCDFFile(sww.filename, 'r')  #Open existing file for append
 
         # Get the variables
@@ -376,9 +316,8 @@
         z = fid.variables['elevation']
         time = fid.variables['time']
-        stage = fid.variables['stage']        
+        stage = fid.variables['stage']
 
         #Check values
-        #Check values
-	Q = self.domain.quantities['stage']	
+	Q = self.domain.quantities['stage']
         Q0 = Q.vertex_values[:,0]
         Q1 = Q.vertex_values[:,1]
@@ -386,5 +325,66 @@
 
         A = stage[1,:]
-        assert allclose(A[0], min(Q2[0], Q1[1]))  
+        assert allclose(A[0], (Q2[0] + Q1[1])/2)
+        assert allclose(A[1], (Q0[1] + Q1[3] + Q2[2])/3)
+        assert allclose(A[2], Q0[3])
+        assert allclose(A[3], (Q0[0] + Q1[5] + Q2[4])/3)
+
+        #Center point
+        assert allclose(A[4], (Q1[0] + Q2[1] + Q0[2] +\
+                                 Q0[5] + Q2[6] + Q1[7])/6)
+
+
+
+
+
+        fid.close()
+
+        #Cleanup
+        os.remove(sww.filename)
+
+    def test_sww_variable3(self):
+        """Test that sww information can be written correctly
+        multiple timesteps using a different reduction operator (min)
+        """
+
+        import time, os
+        from Numeric import array, zeros, allclose, Float, concatenate
+        from Scientific.IO.NetCDF import NetCDFFile
+
+        self.domain.filename = 'datatest' + str(id(self))
+        self.domain.format = 'sww'
+        self.domain.smooth = True
+        self.domain.reduction = min
+
+        sww = get_dataobject(self.domain)
+        sww.store_connectivity()
+        sww.store_timestep('stage')
+
+        self.domain.evolve_to_end(finaltime = 0.01)
+        sww.store_timestep('stage')
+
+
+
+        #Check contents
+        #Get NetCDF
+        fid = NetCDFFile(sww.filename, 'r')
+
+
+        # Get the variables
+        x = fid.variables['x']
+        y = fid.variables['y']
+        z = fid.variables['elevation']
+        time = fid.variables['time']
+        stage = fid.variables['stage']
+
+        #Check values
+        #Check values
+	Q = self.domain.quantities['stage']
+        Q0 = Q.vertex_values[:,0]
+        Q1 = Q.vertex_values[:,1]
+        Q2 = Q.vertex_values[:,2]
+
+        A = stage[1,:]
+        assert allclose(A[0], min(Q2[0], Q1[1]))
         assert allclose(A[1], min(Q0[1], Q1[3], Q2[2]))
         assert allclose(A[2], Q0[3])
@@ -394,8 +394,8 @@
         assert allclose(A[4], min(Q1[0], Q2[1], Q0[2],\
                                   Q0[5], Q2[6], Q1[7]))
-                               
-      
-        fid.close()
-      
+
+
+        fid.close()
+
         #Cleanup
         os.remove(sww.filename)
@@ -408,5 +408,5 @@
         import time, os, config
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
+        from Scientific.IO.NetCDF import NetCDFFile
 
         self.domain.filename = 'synctest'
@@ -426,8 +426,8 @@
             if t == 0.0:
                 assert allclose(stage, self.initial_stage)
-                assert allclose(stage_file[:], stage.flat) 
+                assert allclose(stage_file[:], stage.flat)
             else:
                 assert not allclose(stage, self.initial_stage)
-                assert not allclose(stage_file[:], stage.flat)                 
+                assert not allclose(stage_file[:], stage.flat)
 
             fid.close()
@@ -442,11 +442,11 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
-
-        self.domain.filename = 'datatest' + str(id(self))                
+        from Scientific.IO.NetCDF import NetCDFFile
+
+        self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = mean             
-      
+        self.domain.reduction = mean
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
@@ -455,6 +455,6 @@
         #Check contents
         #Get NetCDF
-        fid = NetCDFFile(sww.filename, 'r')  
-      
+        fid = NetCDFFile(sww.filename, 'r')
+
         # Get the variables
         x = fid.variables['x']
@@ -462,9 +462,9 @@
         z = fid.variables['elevation']
 
-        volumes = fid.variables['volumes']   
+        volumes = fid.variables['volumes']
         time = fid.variables['time']
 
-        # 2D 
-        stage = fid.variables['stage']       
+        # 2D
+        stage = fid.variables['stage']
 
         X = x[:]
@@ -474,5 +474,5 @@
         T = time[:]
         S = stage[:,:]
-      
+
 #         print "****************************"
 #         print "X ",X
@@ -489,7 +489,7 @@
 #         print "****************************"
 
-        
-        fid.close()
-      
+
+        fid.close()
+
         #Cleanup
         os.remove(sww.filename)
@@ -522,5 +522,5 @@
         ref_elevation = []
         for i in range(6):
-            y = (6-i)*25.0            
+            y = (6-i)*25.0
             for j in range(5):
                 x = j*25.0
@@ -530,5 +530,5 @@
                 ref_elevation.append(z)
                 fid.write('%f ' %z)
-            fid.write('\n')    
+            fid.write('\n')
 
         fid.close()
@@ -550,5 +550,5 @@
 """)
         fid.close()
-        
+
         #Convert to NetCDF xya
         convert_dem_from_ascii2netcdf(root)
@@ -558,5 +558,5 @@
         #Get NetCDF
         fid = NetCDFFile(root+'.pts', 'r')
-      
+
         # Get the variables
         #print fid.variables.keys()
@@ -572,14 +572,14 @@
         #print attributes[:]
         #print ref_elevation
-        assert allclose(elevation, ref_elevation)        
-      
-        #Cleanup
-        fid.close()
-        
+        assert allclose(elevation, ref_elevation)
+
+        #Cleanup
+        fid.close()
+
 
         os.remove(root + '.pts')
-        os.remove(root + '.dem')               
-        os.remove(root + '.asc')        
-        os.remove(root + '.prj')                
+        os.remove(root + '.dem')
+        os.remove(root + '.asc')
+        os.remove(root + '.prj')
 
 
@@ -590,5 +590,5 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        #The test file has 
+        #The test file has
         # LON = 150.66667, 150.83334, 151, 151.16667
         # LAT = -34.5, -34.33333, -34.16667, -34 ;
@@ -597,5 +597,5 @@
         # First value (index=0) in small_ha.nc is 0.3400644 cm,
         # Fourth value (index==3) is -6.50198 cm
-        
+
 
         from coordinate_transforms.redfearn import redfearn
@@ -605,19 +605,19 @@
         first_value = fid.variables['HA'][:][0,0,0]
         fourth_value = fid.variables['HA'][:][0,0,3]
-        
+
         #Call conversion (with zero origin)
         ferret2sww('small', verbose=False,
                    origin = (56, 0, 0))
- 
+
 
         #Work out the UTM coordinates for first point
         zone, e, n = redfearn(-34.5, 150.66667)
         #print zone, e, n
-        
+
         #Read output file 'small.sww'
         fid = NetCDFFile('small.sww')
 
         x = fid.variables['x'][:]
-        y = fid.variables['y'][:]        
+        y = fid.variables['y'][:]
 
         #Check that first coordinate is correctly represented
@@ -631,5 +631,5 @@
 
         #Check fourth value
-        assert allclose(stage[0,3], fourth_value/100)  #Meters        
+        assert allclose(stage[0,3], fourth_value/100)  #Meters
 
         fid.close()
@@ -639,5 +639,5 @@
         os.remove('small.sww')
 
-        
+
 
     def test_ferret2sww_2(self):
@@ -647,5 +647,5 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        #The test file has 
+        #The test file has
         # LON = 150.66667, 150.83334, 151, 151.16667
         # LAT = -34.5, -34.33333, -34.16667, -34 ;
@@ -654,5 +654,5 @@
         # First value (index=0) in small_ha.nc is 0.3400644 cm,
         # Fourth value (index==3) is -6.50198 cm
-        
+
 
         from coordinate_transforms.redfearn import redfearn
@@ -665,26 +665,26 @@
         lat_index = 0
         lon_index = 2
-        
+
         test_value = fid.variables['HA'][:][time_index, lat_index, lon_index]
         test_time = fid.variables['TIME'][:][time_index]
         test_lat = fid.variables['LAT'][:][lat_index]
-        test_lon = fid.variables['LON'][:][lon_index]        
-        
-        linear_point_index = lat_index*4 + lon_index 
-        fid.close()
-        
+        test_lon = fid.variables['LON'][:][lon_index]
+
+        linear_point_index = lat_index*4 + lon_index
+        fid.close()
+
         #Call conversion (with zero origin)
         ferret2sww('small', verbose=False,
                    origin = (56, 0, 0))
- 
+
 
         #Work out the UTM coordinates for test point
         zone, e, n = redfearn(test_lat, test_lon)
-        
+
         #Read output file 'small.sww'
         fid = NetCDFFile('small.sww')
 
         x = fid.variables['x'][:]
-        y = fid.variables['y'][:]        
+        y = fid.variables['y'][:]
 
         #Check that test coordinate is correctly represented
@@ -705,5 +705,5 @@
 
 
-        
+
     def test_sww_extent(self):
         """Not a test, rather a look at the sww format
@@ -712,13 +712,13 @@
         import time, os
         from Numeric import array, zeros, allclose, Float, concatenate
-        from Scientific.IO.NetCDF import NetCDFFile        
-
-        self.domain.filename = 'datatest' + str(id(self))                        
+        from Scientific.IO.NetCDF import NetCDFFile
+
+        self.domain.filename = 'datatest' + str(id(self))
         self.domain.format = 'sww'
         self.domain.smooth = True
-        self.domain.reduction = mean 
+        self.domain.reduction = mean
         self.domain.set_datadir('.')
 
-      
+
         sww = get_dataobject(self.domain)
         sww.store_connectivity()
@@ -736,10 +736,10 @@
         [xmin, xmax, ymin, ymax, stagemin, stagemax] = \
                extent_sww(file_and_extension_name )
-        
-        assert allclose(xmin, 0.0) 
-        assert allclose(xmax, 1.0) 
-        assert allclose(ymin, 0.0) 
+
+        assert allclose(xmin, 0.0)
+        assert allclose(xmax, 1.0)
+        assert allclose(ymin, 0.0)
         assert allclose(ymax, 1.0)
-        assert allclose(stagemin, -0.85) 
+        assert allclose(stagemin, -0.85)
         assert allclose(stagemax, 0.15)
 
@@ -747,9 +747,9 @@
         #Cleanup
         os.remove(sww.filename)
-        
-        
+
+
     def test_ferret2sww_nz_origin(self):
         from Scientific.IO.NetCDF import NetCDFFile
-        from coordinate_transforms.redfearn import redfearn        
+        from coordinate_transforms.redfearn import redfearn
 
         #Call conversion (with nonzero origin)
@@ -765,5 +765,5 @@
 
         x = fid.variables['x'][:]
-        y = fid.variables['y'][:]        
+        y = fid.variables['y'][:]
 
         #Check that first coordinate is correctly represented
@@ -777,8 +777,8 @@
         os.remove('small.sww')
 
-        
+
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(dataTestCase,'test')
+    suite = unittest.makeSuite(Test_Data_Manager,'test')
     runner = unittest.TextTestRunner()
     runner.run(suite)
